<!DOCTYPE html>
<head>
    <%- include('partials/header.ejs') %>
</head>
    <body>
    <form action="/" method="post">
        <input type="search" id="search_string" name="search_string" class="search_string" placeholder="Planet Name or ID" maxlength="25" required>
        <input type="submit" class="button" value="Search!" onclick='this.form.action="search";'>
        <div class="content">
            <%
            if(planets.length > 0) {
                planets.forEach(function(planet){
            %>
                <div class="info">
                    <h1><%= planet.name %> <a href="list?delete=<%= planet._id %>" title="Click to Remove this Planet" class="remove">&#10060;</a></h1>

                    <p><b>Climate: </b><%= planet.climate %></p>
                    <p><b>Terrain: </b><%= planet.terrain %></p>
                </div>
                <br />
            <%
                });
            } else {
            %>
            <div class="info">
                <% if(error) { %>
                    <h1><%= error %></h1>
                <% } else { %>
                    <h1>No Planets Found!</h1>
                <% } %>
                <p>No search results found.</p>
            </div>
            <%
                }
            %>
        </div>
        <p class="item"><a class="button" href="/add">Add Planet</a></p>
        <p class="item"><a class="button" href="/list">My Planets List</a></p>
        <p class="item"><a class="button" href="/random">Random API Planet</a></p>
    </form>
    </body>
</html>